
# checkwwwdirs.rc.sh

# Check, if WWW-directories work.
# ./fontsamples.rc.sh must be included before this.
# Include this with command ". ./checkwwwdirs.sh" (without quotes)

# Author:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv
# juhtolv (at) iki (dot) fi

# This script is public domain. There is no warranty.

#############################################################################
# Is everything okay?

for f in ${WWWHOME} ${WWWHOMETWO}
do

if test -f ${f}/${WWW_INDEX_FILE}
then
    :
else
    echo "WWW-directory ${f} seems bogus:" >&2
    echo "${f}/${WWW_INDEX_FILE} do not exist." >&2
    echo "Exiting..." >&2
    exit 1
fi

if ls ${f} > /dev/null 2>&1
then
    :
else
    echo "ls-command does not work on ${f} ." >&2
    echo "Exiting..." >&2
    exit 1
fi

rm -f ${f}/touch.1 2> /dev/null
rm -f ${f}/touch.2 2> /dev/null
rm -f ${f}/touch.3 2> /dev/null

if touch ${f}/touch.1
then
    :
else
    echo "${f} is unwritable directory." >&2
    echo "Exiting..." >&2
    exit 1
fi

if cp -f ${f}/touch.1 ${f}/touch.2
then
    :
else
    echo "cp-command does not work on ${f}." >&2
    echo "Exiting..." >&2
    exit 1
fi

if mv -f ${f}/touch.2 ${f}/touch.3
then
    :
else
    echo "mv-command does not work on ${f}." >&2
    echo "Exiting..." >&2
    exit 1
fi

if rm -f ${f}/touch.1 ${f}/touch.2 ${f}/touch.3 2> /dev/null
then
    :
else
    echo "${f} is write-only." >&2
    echo "Exiting..." >&2
    exit 1
fi

done

# Everything seems to work.
##############################################################################

